diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index af4cf642..1cda65cd 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -756,7 +756,7 @@ define('pgadmin.node.server', [
           id: 'id', label: gettext('ID'), type: 'int', mode: ['properties'],
         },{
           id: 'name', label: gettext('Name'), type: 'text',
-          mode: ['properties', 'edit', 'create'],
+          mode: ['properties', 'edit', 'create'], autocomplete: 'on',
         },{
           id: 'gid', label: gettext('Server group'), type: 'int',
           control: 'node-list-by-id', node: 'server_group',
@@ -772,7 +772,7 @@ define('pgadmin.node.server', [
           },
         },{
           id: 'version', label: gettext('Version'), type: 'text', group: null,
-          mode: ['properties'], visible: 'isConnected',
+          mode: ['properties'], visible: 'isConnected', autocomplete: 'on',
         },{
           id: 'bgcolor', label: gettext('Background'), type: 'color',
           group: null, mode: ['edit', 'create'], disabled: 'isfgColorSet',
@@ -785,19 +785,22 @@ define('pgadmin.node.server', [
           group: null, mode: ['create'],
         },{
           id: 'comment', label: gettext('Comments'), type: 'multiline', group: null,
-          mode: ['properties', 'edit', 'create'],
+          mode: ['properties', 'edit', 'create'], autocomplete: 'on',
         },{
           id: 'host', label: gettext('Host name/address'), type: 'text', group: gettext('Connection'),
-          mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
+          mode: ['properties', 'edit', 'create'], disabled: 'isConnected', autocomplete: 'on',
         },{
           id: 'port', label: gettext('Port'), type: 'int', group: gettext('Connection'),
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected', min: 1, max: 65535,
+          autocomplete: 'on',
         },{
           id: 'db', label: gettext('Maintenance database'), type: 'text', group: gettext('Connection'),
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
+          autocomplete: 'on',
         },{
           id: 'username', label: gettext('Username'), type: 'text', group: gettext('Connection'),
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
+          autocomplete: 'on',
         },{
           id: 'password', label: gettext('Password'), type: 'password',
           group: gettext('Connection'), control: 'input', mode: ['create'], deps: ['connect_now'],
@@ -819,6 +822,7 @@ define('pgadmin.node.server', [
         },{
           id: 'role', label: gettext('Role'), type: 'text', group: gettext('Connection'),
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
+          autocomplete: 'on',
         },{
           id: 'sslmode', label: gettext('SSL mode'), type: 'options', group: gettext('SSL'),
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
@@ -841,19 +845,19 @@ define('pgadmin.node.server', [
           group: gettext('SSL'), mode: ['edit', 'create'],
           disabled: 'isSSL', control: Backform.FileControl,
           dialog_type: 'select_file', supp_types: ['*'],
-          deps: ['sslmode'],
+          deps: ['sslmode'], autocomplete: 'on',
         },{
           id: 'sslrootcert', label: gettext('Root certificate'), type: 'text',
           group: gettext('SSL'), mode: ['edit', 'create'],
           disabled: 'isSSL', control: Backform.FileControl,
           dialog_type: 'select_file', supp_types: ['*'],
-          deps: ['sslmode'],
+          deps: ['sslmode'], autocomplete: 'on',
         },{
           id: 'sslcrl', label: gettext('Certificate revocation list'), type: 'text',
           group: gettext('SSL'), mode: ['edit', 'create'],
           disabled: 'isSSL', control: Backform.FileControl,
           dialog_type: 'select_file', supp_types: ['*'],
-          deps: ['sslmode'],
+          deps: ['sslmode'], autocomplete: 'on',
         },{
           id: 'sslcompression', label: gettext('SSL compression?'), type: 'switch',
           mode: ['edit', 'create'], group: gettext('SSL'),
@@ -861,7 +865,7 @@ define('pgadmin.node.server', [
           deps: ['sslmode'], disabled: 'isSSL',
         },{
           id: 'sslcert', label: gettext('Client certificate'), type: 'text',
-          group: gettext('SSL'), mode: ['properties'],
+          group: gettext('SSL'), mode: ['properties'], autocomplete: 'on',
           deps: ['sslmode'],
           visible: function(model) {
             var sslcert = model.get('sslcert');
@@ -870,7 +874,7 @@ define('pgadmin.node.server', [
         },{
           id: 'sslkey', label: gettext('Client certificate key'), type: 'text',
           group: gettext('SSL'), mode: ['properties'],
-          deps: ['sslmode'],
+          deps: ['sslmode'], autocomplete: 'on',
           visible: function(model) {
             var sslkey = model.get('sslkey');
             return !_.isUndefined(sslkey) && !_.isNull(sslkey);
@@ -878,7 +882,7 @@ define('pgadmin.node.server', [
         },{
           id: 'sslrootcert', label: gettext('Root certificate'), type: 'text',
           group: gettext('SSL'), mode: ['properties'],
-          deps: ['sslmode'],
+          deps: ['sslmode'], autocomplete: 'on',
           visible: function(model) {
             var sslrootcert = model.get('sslrootcert');
             return !_.isUndefined(sslrootcert) && !_.isNull(sslrootcert);
@@ -916,19 +920,19 @@ define('pgadmin.node.server', [
           },
         },{
           id: 'tunnel_host', label: gettext('Tunnel host'), type: 'text', group: gettext('SSH Tunnel'),
-          mode: ['properties', 'edit', 'create'], deps: ['use_ssh_tunnel'],
+          mode: ['properties', 'edit', 'create'], deps: ['use_ssh_tunnel'], autocomplete: 'on',
           disabled: function(model) {
             return !model.get('use_ssh_tunnel');
           },
         },{
           id: 'tunnel_port', label: gettext('Tunnel port'), type: 'int', group: gettext('SSH Tunnel'),
-          mode: ['properties', 'edit', 'create'], deps: ['use_ssh_tunnel'], max: 65535,
+          mode: ['properties', 'edit', 'create'], deps: ['use_ssh_tunnel'], max: 65535, autocomplete: 'on',
           disabled: function(model) {
             return !model.get('use_ssh_tunnel');
           },
         },{
           id: 'tunnel_username', label: gettext('Username'), type: 'text', group: gettext('SSH Tunnel'),
-          mode: ['properties', 'edit', 'create'], deps: ['use_ssh_tunnel'],
+          mode: ['properties', 'edit', 'create'], deps: ['use_ssh_tunnel'], autocomplete: 'on',
           disabled: function(model) {
             return !model.get('use_ssh_tunnel');
           },
@@ -954,17 +958,17 @@ define('pgadmin.node.server', [
               }, 10);
             }
             return !model.get('tunnel_authentication') || !model.get('use_ssh_tunnel');
-          },
+          }, autocomplete: 'on',
         },{
           id: 'tunnel_identity_file', label: gettext('Identity file'), type: 'text',
-          group: gettext('SSH Tunnel'), mode: ['properties'],
+          group: gettext('SSH Tunnel'), mode: ['properties'], autocomplete: 'on',
         },{
           id: 'tunnel_password', label: gettext('Password'), type: 'password',
           group: gettext('SSH Tunnel'), control: 'input', mode: ['create'],
           deps: ['use_ssh_tunnel'],
           disabled: function(model) {
             return !model.get('use_ssh_tunnel');
-          },
+          }, autocomplete: 'on',
         }, {
           id: 'save_tunnel_password', controlLabel: gettext('Save password?'),
           type: 'checkbox', group: gettext('SSH Tunnel'), mode: ['create'],
@@ -977,30 +981,32 @@ define('pgadmin.node.server', [
               return true;
 
             return false;
-          },
+          }, autocomplete: 'on',
         }, {
           id: 'hostaddr', label: gettext('Host address'), type: 'text', group: gettext('Advanced'),
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
+          autocomplete: 'on',
         },{
           id: 'db_res', label: gettext('DB restriction'), type: 'select2', group: gettext('Advanced'),
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected', select2: {multiple: true, allowClear: false,
             tags: true, tokenSeparators: [','], first_empty: false, selectOnClose: true, emptyOptions: true},
+          autocomplete: 'on',
         },{
           id: 'passfile', label: gettext('Password file'), type: 'text',
           group: gettext('Advanced'), mode: ['edit', 'create'],
           disabled: 'isConnectedWithValidLib', control: Backform.FileControl,
-          dialog_type: 'select_file', supp_types: ['*'],
+          dialog_type: 'select_file', supp_types: ['*'], autocomplete: 'on',
         },{
           id: 'passfile', label: gettext('Password file'), type: 'text',
           group: gettext('Advanced'), mode: ['properties'],
           visible: function(model) {
             var passfile = model.get('passfile');
             return !_.isUndefined(passfile) && !_.isNull(passfile);
-          },
+          }, autocomplete: 'on',
         },{
           id: 'service', label: gettext('Service'), type: 'text',
           mode: ['properties', 'edit', 'create'], disabled: 'isConnected',
-          group: gettext('Connection'),
+          group: gettext('Connection'), autocomplete: 'on',
         },{
           id: 'connect_timeout', label: gettext('Connection timeout (seconds)'),
           type: 'int', group: gettext('Advanced'),
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index ef69a8d9..5ab113ea 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -244,12 +244,24 @@ define([
    */
   _.extend(
     Backform.InputControl.prototype, {
+      defaults: _.extend(Backform.InputControl.prototype.defaults, {
+        autocomplete: 'off',
+      }),
       events: {
         'change input': 'onChange',
         'blur input': 'onChange',
         'keyup input': 'onKeyUp',
         'focus input': 'clearInvalid',
       },
+      template: _.template([
+        '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
+        '<div class="<%=Backform.controlContainerClassName%>">',
+        '  <input type="<%=type%>" autocomplete="<%=autocomplete%>" class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>" maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
+        '  <% if (helpMessage && helpMessage.length) { %>',
+        '    <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
+        '  <% } %>',
+        '</div>',
+      ].join('\n')),
       onKeyUp: function(ev) {
         if (this.key_timeout) {
           clearTimeout(this.key_timeout);
@@ -276,6 +288,7 @@ define([
           rows: 5,
           helpMessage: null,
           maxlength: null,
+          autocomplete: 'off',
         }
       ),
       events: {
@@ -288,7 +301,7 @@ define([
       template: _.template([
         '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
         '<div class="<%=Backform.controlsClassName%>">',
-        '  <textarea ',
+        '  <textarea autocomplete="<%=autocomplete%>"',
         '    class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>"',
         '  <% if (maxlength) { %>',
         '    maxlength="<%=maxlength%>"',
@@ -440,11 +453,12 @@ define([
       extraClasses: [],
       helpMessage: null,
       extraToggleClasses: null,
+      autocomplete: 'off',
     },
     template: _.template([
       '<label class="<%=controlLabelClassName%>"><%=label%></label>',
       '<div class="<%=controlsClassName%> <%=extraClasses.join(\' \')%>">',
-      '      <input tabindex="0" type="checkbox" data-style="quick" data-toggle="toggle"',
+      '      <input tabindex="0" autocomplete="<%=autocomplete%>" type="checkbox" data-style="quick" data-toggle="toggle"',
       '      data-size="<%=options.size%>" data-height="<%=options.height%>"  ',
       '      data-on="<%=options.onText%>" data-off="<%=options.offText%>" ',
       '      data-onstyle="<%=options.onColor%>" data-offstyle="<%=options.offColor%>" data-width="<%=options.width%>" ',
@@ -1704,11 +1718,12 @@ define([
       maxlength: 255,
       extraClasses: [],
       helpMessage: null,
+      autocomplete: 'off',
     },
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
       '<div class="<%=Backform.controlsClassName%>">',
-      '  <input type="<%=type%>" class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
+      '  <input type="<%=type%>" autocomplete="<%=autocomplete%>" class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
       '  <% if (helpMessage && helpMessage.length) { %>',
       '    <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '  <% } %>',
@@ -2203,13 +2218,14 @@ define([
       helpMessage: null,
       maxlength: 4096,
       rows: undefined,
+      autocomplete: 'off',
     },
 
     // Customize template to add new styles
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
       '<div class="<%=Backform.controlsClassName%> sql_field_layout <%=extraClasses.join(\' \')%>">',
-      '  <textarea ',
+      '  <textarea autocomplete="<%=autocomplete%>"',
       '    class="<%=Backform.controlClassName%> " name="<%=name%>"',
       '    maxlength="<%=maxlength%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%>',
       '    rows=<%=rows%>',
@@ -2420,6 +2436,7 @@ define([
       btn_primary: '',
       helpMessage: null,
       dialog_type: 'select_file',
+      autocomplete: 'off',
     },
     initialize: function() {
       Backform.InputControl.prototype.initialize.apply(this, arguments);
@@ -2428,7 +2445,7 @@ define([
       '<label class="<%=Backform.controlLabelClassName%>"><%=label%></label>',
       '<div class="<%=Backform.controlsClassName%>">',
       '<div class="input-group">',
-      '<input type="<%=type%>" class="form-control <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
+      '<input type="<%=type%>" autocomplete="<%=autocomplete%>" class="form-control <%=extraClasses.join(\' \')%>" name="<%=name%>" min="<%=min%>" max="<%=max%>"maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
       '<div class="input-group-append">',
       '<button class="btn btn-secondary fa fa-ellipsis-h select_item" <%=disabled ? "disabled" : ""%> ></button>',
       '</div>',
@@ -2768,6 +2785,7 @@ define([
   Backform.KeyCodeControl = Backform.InputControl.extend({
     defaults: _.defaults({
       escapeKeyCodes: [16, 17, 18, 27], // Shift, Ctrl, Alt/Option, Escape
+      autocomplete: 'off',
     }, Backform.InputControl.prototype.defaults),
 
     events: {
@@ -2794,7 +2812,7 @@ define([
     template: _.template([
       '<label class="<%=Backform.controlLabelClassName%> keyboard-shortcut-label"><%=label%></label>',
       '<div class="<%=Backform.controlsClassName%>">',
-      '  <input type="<%=type%>" class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>" oncopy="return false; oncut="return false; onpaste="return false;" maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
+      '  <input type="<%=type%>" autocomplete="<%=autocomplete%>" class="<%=Backform.controlClassName%> <%=extraClasses.join(\' \')%>" name="<%=name%>" oncopy="return false; oncut="return false; onpaste="return false;" maxlength="<%=maxlength%>" value="<%-value%>" placeholder="<%-placeholder%>" <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
       '  <% if (helpMessage && helpMessage.length) { %>',
       '    <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '  <% } %>',
diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index b717230c..ec261823 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -19,6 +19,11 @@ define([
    * same column;
    */
 
+  _.extend(Backgrid.InputCellEditor.prototype.attributes, {
+    type: 'text',
+    autocomplete: 'off',
+  });
+
   // Add new property cellFunction in Backgrid.Column.
   _.extend(Backgrid.Column.prototype.defaults, {
     cellFunction: undefined,
@@ -1252,6 +1257,7 @@ define([
     editor: Backgrid.InputCellEditor.extend({
       attributes: {
         type: 'password',
+        autocomplete: 'off',
       },
 
       render: function() {
@@ -1666,6 +1672,7 @@ define([
     setCustomSearchBox: function($el) {
       this.$customSearchBox = $el;
       this.$customSearchBox.attr('type','search');
+      this.$customSearchBox.attr('autocomplete','off');
       this.$customSearchBox.on('keydown', this.search.bind(this));
     },
 
